RK-A - Bug #1918

Bug fix to find the correct ending of mainKP for a given subKP
11/23/2021 02:29 PM - Nandini Bansal

Status: Resolved Start date: 12/07/2021
Priority: Normal Due date:

Assignee: Rohit Choudhary % Done: 0%
Category: Estimated time: 3.00 hours
Target version: P1 Spent time: 0.00 hour
Description

In tagging_utils.py, the function check_subKP_fullness_ratio is not able to correctly identify the tagged mainKP. It is the search for
the ending of mainKP that is erroneous. Feel free to modify the entire condition for searching the ending if it is required. Handle the
edge cases for it as well.

E.g.

[iteration’] -> iterator

[0, 'O, 'BR2 77, 0, 1.0', 'IR2P', 'BR BDS']
ratio: 1.0

"iteration" is identified as mainKP and "iterator" is the current subKP. If you look at the tags list below, it has two tags before and after
identified mainKP. We can see that the tagged KP was two words i.e. the mainKP should have had two words but it is identified as a
single word.

History

#1 - 12/10/2021 08:29 AM - Nandini Bansal
- Assignee set to Rohit Choudhary

#2 - 12/10/2021 08:29 AM - Nandini Bansal
- Start date changed from 11/23/2021 to 12/07/2021
- Estimated time changed from 2.50 h to 3.00 h

#3 - 12/12/2021 05:36 PM - Rohit Choudhary

- Status changed from New to In Progress

#4 - 12/22/2021 02:35 PM - Rohit Choudhary

- Status changed from In Progress to Resolved
